<?php
// +---------------------------------------------+
// |     Copyright 2003 -2005 weenCompany        |
// |     http://www.weentech.com                 |
// |     This file may not be redistributed.     |
// +---------------------------------------------+

if(!defined('TABLE_PREFIX'))
  define('TABLE_PREFIX', "");

if(!defined('IN_WEENCOMPANY'))
  die("非法进入!");



// ############################# MODULE INFORMATION ############################

$uniqueid       = 31;
$modulename     = '二级菜单';
$version        = '2.0';
$modulepath     = 'm31_submenu/m31_submenu.php';
$settingspath   = 'm31_submenu/m31_settings.php';
$authorname     = 'weencompany';
$authorlink     = 1;
$modulesettings = '17';



// ############################## INSTALL MODULE ###############################

if($installtype == 'install')
{
  // install module settings
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模块设置', '分隔符', '二级菜单间的分隔符号:<br/>提示: 二级菜单模块仅显示当前菜单中的二级菜单.', 'text', '<br />', 1) ");
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模块设置', '菜单样式',    '是否使用以下自定义CSS样式?<br/>选择\'否\', 则使用网站模板CSS文件中设置的样式.' , 'yesno', '0', 2) ");
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模块设置', '基本样式',    '二级菜单链接的CSS样式(a: link):\r\n<br />如: <i>font: 11px verdana; color: #6E8195;</i>', 'text', 'font: 12px verdana; color: #6E8195;', 3) ");
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模块设置', '活动时样式',     '当前二级菜单的CSS样式(a: active):', 'text', 'font: 11px verdana; color: #6E8195;', 4) ");
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模块设置', '访问后样式',    '二级菜单访问后的CSS样式(a: visited):', 'text', 'font: 11px verdana; color: #6E8195;', 5) ");
  $DB->query("INSERT INTO " . TABLE_PREFIX . "modulesettings VALUES (NULL, $uniqueid, '模块设置', '翻转时样式',      '二级菜单翻转时的CSS样式(a: hover):', 'text', 'font: 11px verdana; color: #6E8195;', 6) ");
}



// ############################## UPGRADE MODULE ###############################

if($installtype == 'upgrade')
{
  // upgrade to 2.0
  if($currentversion == '2.0')
  {
    // UpdateModuleVersion(31, 2.0);
    // $currentversion = 2.0;
  }
}



// ############################# UNINSTALL MODULE ##############################

if($installtype == 'uninstall')
{
  // no tables to uninstall
}

?>